#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

export CC=clang-9
export DEB_CFLAGS_MAINT_APPEND += -fsanitize=thread

CONFFLAGS = \
  --bindir=/opt/tsan/bin \
  --datadir=/opt/tsan/share \
  --includedir=/opt/tsan/include \
  --infodir=/opt/tsan/share/info \
  --libdir=/opt/tsan/lib/x86_64-linux-gnu \
  --libexecdir=libexec \
  --localedir=/opt/tsan/share/locale \
  --localstatedir=/opt/tsan/var/local \
  --mandir=/opt/tsan/share/man \
  --prefix=/opt/tsan \
  --sbindir=/opt/tsan/sbin \
  --sharedstatedir=/opt/tsan/lib \
  --sysconfdir=/opt/tsan/etc \
  -Dselinux=true \
  -Ddebug=true  \
  -Doptimize=3

override_dh_auto_build:
	dh_auto_build -- -j12

override_dh_auto_configure:
	dh_auto_configure \
        -- $(CONFFLAGS)

override_dh_auto_test:
